软件开发|编程技术|编程代码|编程入门先学什么—程序设计语言

PHP中函数gzuncompress无法使用的解决方法

这篇文章主要介绍了PHP中函数gzuncompress无法使用的解决方法,文中的介绍的很详细,需要的朋友可以参考借鉴,下面来一起看看吧。

前言

gzuncompress函数不是php自带的系统函数而是一个插件函数了所以要使用 gzuncompress函数我们必须安装一个插件,下面来看看PHP函数gzuncompress无法使用的问题解决办法吧。

一、解决过程

1.gzuncompress函数需要zlib支持才可以正常使用

2.可以使用探针检查当前php版本中是否已经开启了该函数

3.解决方式,额外编译php,安装zlib组件

二、解决步骤

1.开发环境为centos6.5 bit php5.3

2.参考代码(不可以直接拿去用,请思考下在执行以下代码)

[root@leafrainy zlib]# pwd /root/dl/php/ext/zlib[root@leafrainy zlib]#mv config0.m4 config.m4 [root@leafrainy zlib]#/usr/local/php/bin/phpize [root@leafrainy zlib]#./configure --with-php-config=/usr/local/php/bin/php-config [root@leafrainy zlib]#make [root@leafrainy zlib]# cp modules/zlib.so /usr/local/php/lib/php/extension/ [root@leafrainy zlib]#vi /usr/local/php/lib/php.ini 

添加extension=zlib.so

重启apache

总结

以上就是这篇文章的全部内容了,希望本文的内容对大家的学习或者工作能带来一定的帮助,如果有疑问大家可以留言交流。